Sign in to follow this  
Followers 0
bland_inquisitor

when portage attacks

4 posts in this topic

OK, i have a fresh stage one on the laptop. I emerge -uD world and go to work. When i get home I see this on the screen.

GtkNSSClientAuthDialogs.cpp:220: error: `NS_ConvertUCS2toUTF8' undeclared

  (first use this function)

GtkNSSClientAuthDialogs.cpp:220: error: (Each undeclared identifier is reported

  only once for each function it appears in.)

GtkNSSClientAuthDialogs.cpp:222: error: `PromiseFlatCString' undeclared (first

  use this function)

make[3]: *** [GtkNSSClientAuthDialogs.lo] Error 1

make[3]: Leaving directory `/var/tmp/portage/epiphany-1.2.2/work/epiphany-1.2.2/embed/mozilla'

make[2]: *** [all-recursive] Error 1

make[2]: Leaving directory `/var/tmp/portage/epiphany-1.2.2/work/epiphany-1.2.2/embed'

make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory `/var/tmp/portage/epiphany-1.2.2/work/epiphany-1.2.2'make: *** [all] Error 2

!!! ERROR: net-www/epiphany-1.2.2 failed.

!!! Function gnome2_src_compile, Line 38, Exitcode 2

!!! compile failure

So i emerge unmerge it, then emerge sync, hoping that maybe i got a bad build or something. The thing is, that when I go to emerge it, it doesn't have to download the source, so I know that it's on there somewhere.

If someone could help me resolve this, Id really appreciate it

0

Share this post


Link to post
Share on other sites

it's probably in /usr/portage/distfiles, go in there and remove it

Edit: Also, using -f (fetch only) first, then emerging it again might work

Edited by jedibebop
0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0